## org.eclipse.datatools.sqltools.sqlbuilder.model
Interface IWindowStateInfo

All Known Implementing Classes:
  WindowStateInfo

    public interface IWindowStateInfo

Defines the UI state of a SQL Query Builder window's controls.

Method Summary
`java.lang.String` `encode()` Encodes the given `IWindowStateInfo` object for persistence.
`IControlStateInfo` `get(int controlType)` Gets the control state information of the specified control type.
`IControlStateInfo[]` `getcontrolStateInfos()` Gets array of all the `IControlStateInfo`s contained in this `IWindowStateInfo`
`int` `getHeight()` Returns the overall height of the SQL Query Builder main control.
`java.lang.String` `getVersion()` Returns the version of this window state information.
`int` `getWidth()` Returns the overall width of the SQL Query Builder main control.
`void` `put(int controlType, IControlStateInfo controlStateInfo)` Stores the control state information for the specified control type.
`void` `remove(int controlType)` Revoves the control state information for the specified control type.
`void` `setHeight(int height)` Sets the overall height of the SQL Query Builder main control.
`void` `setVersion(java.lang.String version)` Sets the version of this window state information.
`void` `setWidth(int width)` Sets the overall width of the SQL Query Builder main control.

Method Detail

### get

    IControlStateInfo get(int controlType)

  Gets the control state information of the specified control type.

  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.
  Returns:
    IControlStateInfo instance that represents the state of the specified control type; may be null if none is available.
  See Also:
    `IControlStateInfo`

### put

    void put(int controlType,
             IControlStateInfo controlStateInfo)

  Stores the control state information for the specified control type.

  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.
    `controlStateInfo` - an IControlStateInfo instance that represents the state of the specified control type.
  See Also:
    `IControlStateInfo`

### remove

    void remove(int controlType)

  Revoves the control state information for the specified control type.

  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.
  See Also:
    `IControlStateInfo`

### getcontrolStateInfos

    IControlStateInfo[] getcontrolStateInfos()

  Gets array of all the `IControlStateInfo`s contained in this `IWindowStateInfo`

  Returns:
    IControlStateInfo[]
  See Also:
    `IControlStateInfo`

### getVersion

    java.lang.String getVersion()

  Returns the version of this window state information.

  Returns:
    version version defined by an IWindowStateInfo implementation

### setVersion

    void setVersion(java.lang.String version)

  Sets the version of this window state information.

  Parameters:
    `version` - version defined by an IWindowStateInfo implementation

### getHeight

    int getHeight()

  Returns the overall height of the SQL Query Builder main control.

  Returns:
    the overall height; or `IControlStateInfo.CONTROL_STATE_UNKNOWN_VALUE` if value is not known.

### setHeight

    void setHeight(int height)

  Sets the overall height of the SQL Query Builder main control.

  Parameters:
    `height` -

### getWidth

    int getWidth()

  Returns the overall width of the SQL Query Builder main control.

  Returns:
    the overall width; or `IControlStateInfo.CONTROL_STATE_UNKNOWN_VALUE` if value is not known.

### setWidth

    void setWidth(int width)

  Sets the overall width of the SQL Query Builder main control.

  Parameters:
    `width` -

### encode

    java.lang.String encode()

  Encodes the given `IWindowStateInfo` object for persistence.

  Returns:
    encoded String
  See Also:
    `WindowStateInfo.decode(String)`